<?PHP //$Id: block_me.php,v 1.1.2.1 2008/12/17 21:11:04 diml Exp $

class block_me extends block_base {
    function init() {
        $this->title = get_string('blockname', 'block_me');
        $this->version = 2008112400;
    }

    function has_config() {
	    return false;
	  }

    function instance_allow_config() {
        return false;
    }

    function applicable_formats() {
        // Default case: the block can be used in all course types
        return array('all' => true,
                     'site' => true);
    }

    function get_content() {
        global $USER, $COURSE;

        $systemcontext = get_context_instance(CONTEXT_SYSTEM);
        $coursecontext = get_context_instance(CONTEXT_COURSE, $COURSE->id);

        $this->content = new Object;
        
        $globalroles = get_user_roles($systemcontext, $USER->id);
        $localroles = get_user_roles($coursecontext, $USER->id, false);

        $this->content->text = '';
        $this->content->footer = '';
        
        // unlogged people cannot see their status 
        if (!isloggedin()){
            return $this->content;
        }
        
        $this->content->text .= '<div class="me">';

        $this->content->text .= '<b>'.get_string('ingeneral', 'block_me').'</b><br/>';
        
        if (!empty($globalroles)){
            foreach($globalroles as $role){
                $this->content->text .= "{$role->name}<br/>";
            }
        } else {
                $this->content->text .= get_string('justuser', 'block_me').'<br/>';
        }

        $this->content->text .= '<hr/>';
        $this->content->text .= '<b>'.get_string('here', 'block_me').'</b><br/>';

        if (!empty($localroles)){
            foreach($localroles as $role){
                $this->content->text .= "{$role->name}<br/>";
            }
        } else {
                $this->content->text .= get_string('unspecified', 'block_me').'<br/>';
        }
        
        $this->content->text .= '</div>';

        return $this->content;
    }

}
?>